{{- define "vsphere-credentials-controller.name" -}}
vsphere-credentials-controller
{{- end -}}

{{- define "vsphere-credentials-controller.chart" -}}
{{- printf "%s-%s" .Chart.Name .Chart.Version | replace "+" "_" | trunc 63 | trimSuffix "-" -}}
{{- end -}}

{{/*
Generate full image paths for KaaS CDN
*/}}

{{- define "vsphere_credentials_controller.image" -}}
{{- if (.Values.image.fullName) -}}
{{- .Values.image.fullName -}}
{{- else -}}
{{- printf "%s/%s/%s:%s" .Values.global.dockerBaseUrl .Values.image.repository .Values.image.name .Values.image.tag -}}
{{- end -}}
{{- end -}}

{{- define "vsphere-provider-config-name" -}}
{{- printf "provider-config-vsphere-%s" .Values.region -}}
{{- end -}}
